Debian Bug report logs - #639658
[kfreebsd] waitpid from a thread does not work for child processes created by other threads

version graph

Package: eglibc; Maintainer for eglibc is GNU Libc Maintainers <debian-glibc@lists.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 29 Aug 2011 06:03:01 UTC

Severity: important

Fixed in version eglibc/2.13-22

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#639658; Package kfreebsd-image-8.1-1-amd64. (Mon, 29 Aug 2011 06:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 29 Aug 2011 06:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: kfreebsd-image-8.1-1-amd64: calling waitpid from a thread raises 'no child processes'
Date: Mon, 29 Aug 2011 07:57:13 +0200
Package: kfreebsd-image-8.1-1-amd64
Version: 8.1+dfsg-8
Severity: serious

Hi,

Test case:
<---------
#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>

int retval;
int pid;

void * thread_get_retval(void *arg) {
        if (waitpid(pid, &retval, 0) == -1) {
                perror("waitpid");
                exit(1);
        }
        printf("hello\n");
        return(0);
}

int main() {
        pthread_t tid;
        if ((pid = fork()) == 0) {
                return 42;
        }
        printf("PID: %d\n", pid);

        if (pthread_create(&tid, NULL, thread_get_retval, NULL)) {
                perror("pthread_create");
                exit(1);
        }
        printf("Retval: %d\n", WEXITSTATUS(retval));
        return 0;
}
--------->

As you can see, the main thread delegates the waitpid call to a sub-thread. But both
threads are still part of the same process, so waitpid should not fail.

However:
Debian GNU/Linux:
PID: 27610
hello
Retval: 42

FreeBSD:
PID: 1172
hello
Retval: 42

Debian GNU/kFreeBSD:
./debian-kfreebsd-amd64:~# ./forkthread
PID: 719
waitpid: No child processes

This breaks the ruby1.9.1 test suite.

- Lucas

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages kfreebsd-image-8.1-1-amd64 depends on:
ii  freebsd-utils                 8.1-4+b1   FreeBSD utilities needed for GNU/k
ii  kldutils                      8.1-4+b1   tools for managing kFreeBSD module

kfreebsd-image-8.1-1-amd64 recommends no packages.

kfreebsd-image-8.1-1-amd64 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#639658; Package kfreebsd-image-8.1-1-amd64. (Mon, 29 Aug 2011 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 29 Aug 2011 07:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 639658@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 639658@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#639658: kfreebsd-image-8.1-1-amd64: calling waitpid from a thread raises 'no child processes'
Date: Mon, 29 Aug 2011 10:02:58 +0200 (CEST)
severity 639658 important
retitle 639658 [kfreebsd] waitpid from a thread does not work for child processes created by other threads
reassign 639658 kfreebsd-8, kfreebsd-9, eglibc
--

> As you can see, the main thread delegates the waitpid call to a sub-thread. But both
> threads are still part of the same process, so waitpid should not fail.
>
> Debian GNU/kFreeBSD:
> ./debian-kfreebsd-amd64:~# ./forkthread
> PID: 719
> waitpid: No child processes

It is known limitation of our current linuxthreads based pthread 
implementation. It cannot be solved easily :-(
The fix probably will be mainly in eglibc part.

Petr





Severity set to 'important' from 'serious' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 29 Aug 2011 07:57:10 GMT) Full text and rfc822 format available.

Changed Bug title to '[kfreebsd] waitpid from a thread does not work for child processes created by other threads' from 'kfreebsd-image-8.1-1-amd64: calling waitpid from a thread raises 'no child processes'' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 29 Aug 2011 07:57:11 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kfreebsd-image-8.1-1-amd64' to 'kfreebsd-8,kfreebsd-9,eglibc'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 29 Aug 2011 07:57:22 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kfreebsd-8/8.1+dfsg-8. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 29 Aug 2011 07:57:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#639658; Package kfreebsd-8,kfreebsd-9,eglibc. (Sun, 09 Oct 2011 13:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>, GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sun, 09 Oct 2011 13:33:08 GMT) Full text and rfc822 format available.

Message #23 received at 639658@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 639658@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, debian-bsd <debian-bsd@lists.debian.org>
Subject: altered pthread implementation for GNU/kFreeBSD
Date: Sun, 9 Oct 2011 15:28:07 +0200
[Message part 1 (text/plain, inline)]
Hi,

Please would you consider including Petr's patch in experimental
uploads so that it can be more widely tested?

Thanks!

2011/9/20 Petr Salinger <Petr.Salinger@seznam.cz>:
> Hi,
>
> as you might know, our eglibc pthread implementation
> is still linuxthreads based. I tried to alter current
> LT version to use some thread primitives from kernel.
>
> Instead of processes it uses kernel threads,
> there is still a thread manager.
> But it should fix #639658.
>
> The hackish patch is attached, the geting/seting
> of pthread scheduler priority have to be reimplemented.
>
> There is no regression in our glibc testsuite on ka.
> But it definitely needs more testing, on both real HW
> and inside emulators.
>
> Please test this partial patch, upload into experimental would be nice.
>
> Petr

-- 
Robert Millan
[kf-thr.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Petr Salinger <ps-guest@alioth.debian.org> to control@bugs.debian.org. (Sat, 26 Nov 2011 11:08:58 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kfreebsd-8,kfreebsd-9,eglibc' to 'eglibc'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 26 Nov 2011 11:14:30 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 10 Dec 2011 22:51:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 10 Dec 2011 22:51:07 GMT) Full text and rfc822 format available.

Message #32 received at 639658-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 639658-close@bugs.debian.org
Subject: Bug#639658: fixed in eglibc 2.13-22
Date: Sat, 10 Dec 2011 22:48:30 +0000
Source: eglibc
Source-Version: 2.13-22

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-22_all.deb
  to main/e/eglibc/eglibc-source_2.13-22_all.deb
eglibc_2.13-22.diff.gz
  to main/e/eglibc/eglibc_2.13-22.diff.gz
eglibc_2.13-22.dsc
  to main/e/eglibc/eglibc_2.13-22.dsc
glibc-doc_2.13-22_all.deb
  to main/e/eglibc/glibc-doc_2.13-22_all.deb
libc-bin_2.13-22_amd64.deb
  to main/e/eglibc/libc-bin_2.13-22_amd64.deb
libc-dev-bin_2.13-22_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-22_amd64.deb
libc6-dbg_2.13-22_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-22_amd64.deb
libc6-dev-i386_2.13-22_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-22_amd64.deb
libc6-dev_2.13-22_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-22_amd64.deb
libc6-i386_2.13-22_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-22_amd64.deb
libc6-pic_2.13-22_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-22_amd64.deb
libc6-prof_2.13-22_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-22_amd64.deb
libc6-udeb_2.13-22_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-22_amd64.udeb
libc6_2.13-22_amd64.deb
  to main/e/eglibc/libc6_2.13-22_amd64.deb
libnss-dns-udeb_2.13-22_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-22_amd64.udeb
libnss-files-udeb_2.13-22_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-22_amd64.udeb
locales-all_2.13-22_amd64.deb
  to main/e/eglibc/locales-all_2.13-22_amd64.deb
locales_2.13-22_all.deb
  to main/e/eglibc/locales_2.13-22_all.deb
multiarch-support_2.13-22_amd64.deb
  to main/e/eglibc/multiarch-support_2.13-22_amd64.deb
nscd_2.13-22_amd64.deb
  to main/e/eglibc/nscd_2.13-22_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639658@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Dec 2011 21:49:03 +0100
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-22
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 79358 609389 639658 641868 643567 643885 643887 644546 644771 644990 645285 646549 646610 647823 649185 649605 650095
Changes: 
 eglibc (2.13-22) unstable; urgency=low
 .
   [ Adam Conrad ]
   * patches/arm/unsubmitted-ldconfig-cache-abi.diff: New patch from
     Steve McIntyre that adds tagging to armhf libraries in ld.so.cache
   * patches/arm/unsubmitted-ldso-abi-check.diff: Another patch from
     Steve McIntyre, giving ld.so the ability to differentiate between
     soft and hard-float ABIs and provide sane exits when required.
   * Merge armel/armhf bi-arch support from Ubuntu, but disable until
     the armhf bootstrap in Debian has removed /lib/ld-linux.so.3:
     - Fix install locations for libc6-dev-armel in sysdeps.
     - Change armel_rtlddir (for libc6-armel) to /lib, as required.
     - Install /lib/ld-linux.so.3 symlink in libc6-armel.
     - Install ld.so.conf.d file for the multilib ARM targets.
   * Add dynamic linker name for the non-default multilib in ARM ldd.
   * debian/debhelper.in/libc-udeb.install.armhf: Install ld-linux.so.3
     to the correct location in the udeb, so binaries can find it.
   * Install /lib/ld-linux.so.3 symlink in libc6:armhf, this will need
     to be reverted once the rebuild/rebootstrap is completed.
   * Fix chmod regex in udeb pass to match the one used for others.
 .
   [ Aurelien Jarno ]
   * patches/i386/local-cpuid-level2.diff: fix a typo.  Closes: #609389.
   * Don't ship /usr/share/doc/locales/README.  Closes: #643885, #643887.
   * Ignore tst-cancelx17.out error on amd64.  Closes: #643567.
   * patches/any/cvs-nptl-pthread-race.diff: fix a race in NPTL code that
     sometimes causes a deadlock when calling fork() from a thread.
   * debhelper/libc.NEWS: replace $arch by <triplet> and explain how to get
     it.  Closes: #644990.
   * Add patches/alpha/submitted-fallocated.diff to define fallocate() in
     <fcntl.h> on alpha.  Closes: #641868.
   * debian/rules: don't build locales-all when cross-compiling.  Closes:
     #644771.
   * patches/amd64/cvs-avx-detection.diff: do not use AVX if hardware support
     is present, but not enabled in the kernel.  Closes: #646549.
   * patches/amd64/cvs-dl_trampoline-cfi.diff: fix CFI in dl_trampoline code.
   * patches/mips/submitted-dl-platform.diff: fix a typo preventing loongson2f
     platform directory to be used.  Closes: #646610.
   * Update Dutch debconf translation, by Vincent Zweije.  Closes: #649605.
   * Update expected-results-x86_64-kfreebsd-gnu-libc to allow tst-clock1.out
     to fail, as it seems to happen when there is other load than glibc on the
     building machine.  Closes: #649185.
   * patches/any/local-linuxthreads-XPG7.diff: fix XPG7 compliance in
     linuxthreads version of pthread.h.  Closes: #647823.
   * Update from the latest SVN, branch eglibc-2_13.
   * Add patches/amd64/cvs-pthread_cond_wait.diff to correctly handle EAGAIN
     from FUTEX_WAIT_REQUEUE_PI.
   * debian/rules.d/tarball.mk: ignore manual/ directory.
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/submitted-setresid.diff: New patch to fix -1 passed to
     setres[ug]id.  Closes: #645285.
   * patches/hurd-i386/{unsubmitted-gscope.diff,unsubmitted-_dl_random.diff,
     submitted-ECANCELED.diff, submitted-dl-sysdep.diff,
     unsubmitted-check_native.diff, submitted-extern_inline.diff,
     submitted-ptr-mangle.diff, submitted-stat.diff,
     unsubmitted-tls-support.diff, unsubmitted-longjmp_chk.diff,
     unsubmitted-ptsname.diff, submitted-strtoul.diff,
     unsubmitted-atomic-no-multiple_threads.diff, unsubmitted-i686.diff,
     submitted-ldsodefs.h.diff, submitted-libc_once.diff}:
     Update to topgit version, and rename to
     {tg-tlsdesc.sym.diff, tg-struct_stat.diff, tg-gscope.diff,
     tg-_dl_random.diff, tg-bits_atomic.h_multiple_threads.diff,
     tg-dl-sysdep.c_SHARED.diff, tg-__i686_defined.diff,
     tg-regenerate_errno.h.diff, tg-ptrmangle.diff, tg-strtoul_PLT.diff,
     tg-tls.diff, tg-extern_inline.diff, tg-grantpt.diff, tg-check_native.diff,
     tg-____longjmp_chk.diff, tg-elfosabi_gnu.diff, tg-libc_once.diff}.
   * patches/hurd-i386/submitted-libc_once.diff: Move kfreebsd part to
     patches/kfreebsd/submitted-libc_once.diff.
   * patches/hurd-i386/submitted-ldsodefs.h.diff: Move committed part to
     patches/hurd-i386/cvs-ldsodefs.h.diff
   * patches/hurd-i386/cvs-sgttyb.diff: New patch to fix sgttyb ioctls values.
   * patches/hurd-i386/tg-dup3.diff: New patch from Hurd topgit to implement
     dup3.
   * patches/hurd-i386/submitted-dup2-fix.diff: Trivially port to dup3.
   * patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: New patch to
     brown-tape fix iceweasel.
   * patches/hurd-i386/submitted-_hurd_socket_server-indexcheck.diff: New patch
     from Pino Toscano to fix crash or spurious deallocation on bogus input.
   * libc0.3.symbols.hurd-i386: Drop removed unused xxx_ and yyy_ RPCs.
   * patches/hurd-i386/submitted-hurd-recvfrom.diff: New patch from Pino
     Toscano to fix recvfrom on socketpair. Closes: #650095.
   * patches/hurd-i386/local-select.diff: New patch to fix select with a zero
     timeout. Closes: #79358.
   * patches/hurd-i386/tg-struct_stat.diff: Add POSIX 2008 visibility.
   * patches/hurd-i386/submitted-posix2008.diff: Add POSIX 2008 visibility.
   * patches/hurd-i386/submitted-select-inputcheck.diff: Add select input check.
 .
   [ Petr Salinger ]
   * kfreebsd/local-sysdeps.diff: update to revision 3763 (from glibc-bsd).
   * add kfreebsd/local-use-thr-primitives.diff to use kernel thr*
     primitives inside linuxthreads. Closes: #639658.
   * debian/sysdeps/sysdeps/kfreebsd.mk, debhelper.in/libc.preinst:
     bump minimal FreeBSD kernel version to 8.1.
 .
   [ Steve Langasek ]
   * Add a new debconf template, libraries/restart-without-asking, shared
     with pam (and eventually hopefully openssl) which allows users to opt in
     to silent restarts of services affected by NSS upgrades.  This fixes the
     longstanding nuisance that a user may be prompted as many as three times
     during an upgrade between releases to ask whether it's ok to restart a
     service that will be restarted anyway when the package itself gets
     upgraded.
   * Name our biarch compat ld.so.conf.d files on arm* consistently with the
     ones on other archs.
 .
   [ Kyle Moffett ]
   * Add support for stage1 builds.  Closes: #644546.
Checksums-Sha1: 
 5b6e5144ba09632e844e7bc01311945a9107d4f2 4720 eglibc_2.13-22.dsc
 070551aec6627e2a51c94491b6787315e3f41605 1805514 eglibc_2.13-22.diff.gz
 13b5bbd84ab69eb2259a2b23e9dde9603d3dadc0 1890030 glibc-doc_2.13-22_all.deb
 468029ebc2e87c4679e01967f9ef4743ee5c9730 13249216 eglibc-source_2.13-22_all.deb
 8ef121ca483e76594f35957efc0551b1c710c947 5706758 locales_2.13-22_all.deb
 9dd392d113fcb8003be265e8c995bf4de1cc7a66 4328154 libc6_2.13-22_amd64.deb
 bba6b39998894dff573fa22d73272e334d1ae7ad 2639432 libc6-dev_2.13-22_amd64.deb
 1224f1535c8fab08aca6d811b083f24f6f24c61b 2082018 libc6-prof_2.13-22_amd64.deb
 10f47952809b5b142c97623465a1edf547f7718d 1587940 libc6-pic_2.13-22_amd64.deb
 2bfc56146286193a4ecf6ab9fd95be288ac76a57 1260396 libc-bin_2.13-22_amd64.deb
 7d1739fb2368e7b7132db5bf3816e8b003459097 219558 libc-dev-bin_2.13-22_amd64.deb
 6f6ebc223361c8c13388bf1157b1aa12908a72a9 143444 multiarch-support_2.13-22_amd64.deb
 04233d0a5fa8799b0d16585b213763dc1ac3fdfc 3260622 locales-all_2.13-22_amd64.deb
 7a3899dcd22f1ba39347d617c5794038813ff942 3849602 libc6-i386_2.13-22_amd64.deb
 2416abeb01fef0d1e6d78ab3aa884c01d5ad835c 1564674 libc6-dev-i386_2.13-22_amd64.deb
 682a9a38305db3f44b8e475fc96498639fac1081 206574 nscd_2.13-22_amd64.deb
 eda1aa20a7092b4e983a06a85ade17e4aecfc781 5685340 libc6-dbg_2.13-22_amd64.deb
 c8d549627fffb388bd53fd60f464a1fe1dbe820d 1179868 libc6-udeb_2.13-22_amd64.udeb
 b17a11da1f63c8dfb2e1aece29e2e1cf4bb17d7f 11136 libnss-dns-udeb_2.13-22_amd64.udeb
 021b82cd9cfe724f4dc0e4874e9887385807650e 19318 libnss-files-udeb_2.13-22_amd64.udeb
Checksums-Sha256: 
 453036909e65646837632f9b03d1f3d3999a7ef6346480091a3bcda0e67b464e 4720 eglibc_2.13-22.dsc
 5496bbcfe79612ec561ddc2313438f79f21b562df69bce1a6de089ca1f5e39ae 1805514 eglibc_2.13-22.diff.gz
 e28aedfbfaf23b1ed9067fec8097d55df484c575659cdfdd59f64f70a251c316 1890030 glibc-doc_2.13-22_all.deb
 7e46d2c109d93c3576d09bedfaa9c1fda876d983c3159b5862b4d9dc837ed663 13249216 eglibc-source_2.13-22_all.deb
 fb09799a5712d1cd3c6a2a537d1d6e2d8c423533201e82e1f38226b978540bd4 5706758 locales_2.13-22_all.deb
 27b74f81f164319cda99c97f1cb8fec169319edef169aa8926146690ccb31035 4328154 libc6_2.13-22_amd64.deb
 95d0b47806778c0e07fa1531cb8a4a9e56f9557395881382def4082b36ba0cee 2639432 libc6-dev_2.13-22_amd64.deb
 f0e35643e83b801e8f660f5524201a2e1ec2206d4400cf1e4b3efc76a1f87500 2082018 libc6-prof_2.13-22_amd64.deb
 4deffc7c4d4c67a52b57338e28cdcc7e67d9a7e2f517b4d05ffae3e8d5751d84 1587940 libc6-pic_2.13-22_amd64.deb
 8927474377302c0beb668be962949a751d852f412e6f5d1da15a5903dea9f312 1260396 libc-bin_2.13-22_amd64.deb
 714beb6301a0ed2e088c73a1920277810b17f550cc62149cc2007ce160c4c15f 219558 libc-dev-bin_2.13-22_amd64.deb
 e82a6cbe1f75e0cbce2177d239f596755798010eba728af4ae0c8fce06cfe9fe 143444 multiarch-support_2.13-22_amd64.deb
 3a21a5c2eff538490ed1ca65533c8689e488420f11c9f2bde22810ff2a97e5e6 3260622 locales-all_2.13-22_amd64.deb
 c3202ae48dc267f7e876fba91fc8067358f7cc8fe0f40be6695cf27c0a8d469f 3849602 libc6-i386_2.13-22_amd64.deb
 e18ba26a89d4aff5222cbb3d61a0c51b122ee56d12def2eb7f83d1093f3a0377 1564674 libc6-dev-i386_2.13-22_amd64.deb
 a962f45dd95f24b3f75b13bd2973b17801dae2e2cf659cb1ee45fc608f31aa64 206574 nscd_2.13-22_amd64.deb
 93872f4a16bd3ebcce6a6b854dff1992bb0b409f1d026a7ae53849401028ff3d 5685340 libc6-dbg_2.13-22_amd64.deb
 022808c075711da3531fe68f13cfdfba19a31ce22f006054e47eb713974bbc7b 1179868 libc6-udeb_2.13-22_amd64.udeb
 71e99ed8644fd1c6ee17724e6b5bbc72adb8759e8012a16f25968aacf3a082f6 11136 libnss-dns-udeb_2.13-22_amd64.udeb
 6902758e3aa865279d8aa547171c84224c99760c26035b64a7dfc87c85ffac9f 19318 libnss-files-udeb_2.13-22_amd64.udeb
Files: 
 f5b53ced9b901e236dcbef0f6f722f95 4720 libs required eglibc_2.13-22.dsc
 38c4fb446e301a55825e5f35a5c96967 1805514 libs required eglibc_2.13-22.diff.gz
 36464a26d0bd64d58490a3b0c02c5fa0 1890030 doc optional glibc-doc_2.13-22_all.deb
 bea70523394f8bb9996de348efe9d6f5 13249216 devel optional eglibc-source_2.13-22_all.deb
 e0999aa3e4117a0cc3a6ddb8a8077370 5706758 localization standard locales_2.13-22_all.deb
 1a35716da384541838ac73feca6058c8 4328154 libs required libc6_2.13-22_amd64.deb
 cebfda0effc6ccb5478305be7bc0c579 2639432 libdevel optional libc6-dev_2.13-22_amd64.deb
 27c0ba9137d190306db31ceb86d044ae 2082018 libdevel extra libc6-prof_2.13-22_amd64.deb
 c9961de2184e7487533aa87aa21d3527 1587940 libdevel optional libc6-pic_2.13-22_amd64.deb
 7078fa630752b189226c498a5aedd86e 1260396 libs required libc-bin_2.13-22_amd64.deb
 7c21b3fba4a9020692d48cd5638afbb3 219558 libdevel optional libc-dev-bin_2.13-22_amd64.deb
 eb86551e781b05277d3aba9827ad3bcf 143444 libs standard multiarch-support_2.13-22_amd64.deb
 335b17ea4db17794f8ab09e34fe7897e 3260622 localization extra locales-all_2.13-22_amd64.deb
 c73f1af301ccfedd149906b57835adde 3849602 libs optional libc6-i386_2.13-22_amd64.deb
 9443cb758532c12c66918e418f0088ea 1564674 libdevel optional libc6-dev-i386_2.13-22_amd64.deb
 4adf692dfdfef78432e26544c9c75f20 206574 admin optional nscd_2.13-22_amd64.deb
 b991841b869cf12c3f6deb31fcde05a5 5685340 debug extra libc6-dbg_2.13-22_amd64.deb
 28777a5d657c2423d4822ffdb5df8f89 1179868 debian-installer extra libc6-udeb_2.13-22_amd64.udeb
 2d04c6a9ec37289eaf8356b9caf75f73 11136 debian-installer extra libnss-dns-udeb_2.13-22_amd64.udeb
 8b94e326d67b6078b9f6943459fad8a7 19318 debian-installer extra libnss-files-udeb_2.13-22_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFO493Uw3ao2vG823MRAsYmAJ9PS+y2qFhXTyaYLKRMbppGrMT3vwCgi7Q7
pqV3Rjv8SQViml4JVmc4CVg=
=3R7t
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Feb 2012 07:36:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:21:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.